For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
CommunityCreate AccountSign in
  • Overview
    • Welcome
    • Authentication
    • Using Environments
  • API Reference
      • GETObtain the publishable key for a specific environment
      • GETGet SFTP credentials for Space
LogoLogo
LogoLogo
CommunityCreate AccountSign in
API ReferenceAuth

Get SFTP credentials for Space

GET
https://api.x.flatfile.com/v1/auth/sftp-credentials
GET
/v1/auth/sftp-credentials
$curl -G https://api.x.flatfile.com/v1/auth/sftp-credentials \
> -H "X-Disable-Hooks: true" \
> -H "Authorization: Bearer <token>" \
> -d spaceId=spaceId
1{
2 "username": "username",
3 "password": "password",
4 "host": "host",
5 "port": "port"
6}
Was this page helpful?
Previous

List canvas areas

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

X-Disable-Hooks"true"Required

Query parameters

spaceIdstringRequired
ID of space to get credentials for

Response

This endpoint returns an object.
usernamestring
passwordstring
hoststring
portstring

Errors

400
Bad Request Error
404
Not Found Error